function HttpSocket(aAddress) {
  this.socket = new XMLHttpRequest();
  this.sendRequest = function(aObserver) {
    var self = this;
    this.socket.onreadystatechange = function() {
      if (self.socket && self.socket.readyState == 4) {
        try {
          aObserver.onHttpDataAvailable(self.socket.status);
        }
        catch (aException) {
          window.onLogInFailed("err_noData");
        }
      }
    }
    this.socket.send(null);
  }
  this.getHeader = function(aHeader) {
    return this.socket.getResponseHeader(aHeader);
  }
  this.setHeader = function(aHeader, aHeaderValue) {
    this.socket.setRequestHeader(aHeader, aHeaderValue);
  }
  this.close = function() {
    delete this.socket;
  }
  this.socket.open("GET", aAddress);
}