var PrefObserver = {};

PrefObserver.observe = function(aSubject, aTopic, aData) {
  if (aTopic == "nsPref:changed") {
    var data = aData.replace("extensions.msnmsgr.", "");
    if (data.substr(0, 4) == "font") {
      MessageStyle.fn = this.prefBranch.getCharPref("font.name");
      MessageStyle.co = this.prefBranch.getCharPref("font.color");
      MessageStyle.efB = this.prefBranch.getBoolPref("font.bold");
      MessageStyle.efI = this.prefBranch.getBoolPref("font.italic");
      MessageStyle.efU = this.prefBranch.getBoolPref("font.underline");
      MessageStyle.efS = this.prefBranch.getBoolPref("font.strike");
      MessageStyle.onStyleChanged();
    }
  }
}

PrefObserver.register = function() {
  this.prefBranch = prefService.getBranch("extensions.msnmsgr.");
  this.prefBranch.QueryInterface(nsIPrefBranchInternal);
  this.prefBranch.addObserver("", this, true);
}

PrefObserver.unregister = function() {
  this.prefBranch.removeObserver("", this);
}

PrefObserver.QueryInterface = function(aIID) {
  if (aIID.equals(Components.interfaces.nsIObserver) || 
      aIID.equals(Components.interfaces.nsISupports) ||
      aIID.equals(Components.interfaces.nsISupportsWeakReference)) {
    return this;
  }
  throw Components.results.NS_NOINTERFACE;
}